<?php

namespace modules\subusers\permissions;

use modules\subusers\classes\subusers_permission_nodes;
use modules\subusers\helpers\subusers_permission_node_key;
use modules\subusers\helpers\subusers_permission_type;

class subusers_permission_nodes_vehicles extends subusers_permission_nodes
{
    public function __construct()
    {
        parent::__construct(
            'Køretøjer',
            'Tilladelser til håndtering af køretøjer'
        );

        $this->addNode(subusers_permission_node_key::VEHICLES_LIST, 'Vis køretøjer', 'Giver brugeren mulighed for at se listen over køretøjer', subusers_permission_type::VIEW, false);
        $this->addNode(subusers_permission_node_key::VEHICLES_EDIT, 'Rediger køretøjer', 'Giver brugeren mulighed for at redigere køretøjer', subusers_permission_type::EDIT, false);
        $this->addNode(subusers_permission_node_key::VEHICLES_DELETE, 'Slet køretøjer', 'Giver brugeren mulighed for at slette køretøjer', subusers_permission_type::DELETE, false);
        $this->addNode(subusers_permission_node_key::VEHICLES_ADD, 'Tilføj køretøjer', 'Giver brugeren mulighed for at tilføje nye køretøjer', subusers_permission_type::ADD, false);
    }
}